Bug 182602 - kernel panic when running systemtap tests/testsuite
kernel panic when running systemtap tests/testsuite
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: systemtap (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 11:54 EST by William Cohen
Modified: 2015-01-07 19:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 11:44:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel panic when machine reboot (1.17 MB, image/jpeg)
2006-02-23 11:54 EST, William Cohen
no flags Details
systemtap program that triggers problems (2.89 KB, application/octet-stream)
2006-02-23 12:14 EST, William Cohen
no flags Details

  None (edit)
Description William Cohen 2006-02-23 11:54:44 EST
Description of problem:

When running the systemtap nightly tests. Working on a more concise testcase for
the problem, but this consistently works.


Version-Release number of selected component (if applicable):

kernel 2.6.9-33.ELsmp
systemtap-0.5.4-0.EL4

systemtap tests:

cvs -d :pserver:anoncvs@sources.redhat.com:/cvs/systemtap login
{enter "anoncvs" as the password}
cvs -d :pserver:anoncvs@sources.redhat.com:/cvs/systemtap co -D 20060220 tests



How reproducible:

always

Steps to Reproduce:
1. cd into tests/testsuite (checked out )
2. runtest --tool=systemtap
3. wait for tests to hang on 

  FAIL: ./systemtap.stress/current.stp startup (timeout)

4. Reboot machine 

Actual results:

kernel panic when shutting down, as shown in the attachement

Expected results:

Machine reboots without kernel panic

Additional info:
Comment 1 William Cohen 2006-02-23 11:54:46 EST
Created attachment 125114 [details]
kernel panic when machine reboot
Comment 2 William Cohen 2006-02-23 12:14:32 EST
Created attachment 125116 [details]
systemtap program that triggers problems
Comment 3 William Cohen 2006-02-23 12:17:42 EST
Simplified steps to trigger the problem.

1. run the attached systemtap script (id=125116) with "stap -g current.stp"

2. after the script prints "systemtap starting probe" in another window reboot
system.

See the kernel panic when rebooting.

Comment 4 Frank Ch. Eigler 2006-02-23 14:24:13 EST
I can reproduce what may be the same problem, even on x86, 33.EL kernel (up +
smp), 0.5.4 beehive RPM systemtap.  Procedure:

% stap -vv -e 'probe begin {}' &
Wait until stpd has started (pass 4 complete).  Note stap module name.
# killall -9 stpd
Notice that stap will exit.
# rmmod stap_NNNN
Bang.

It may be noteworthy that in this case, there are no kprobes used at all.  I
suspect some timeing or duplicate calling in the runtime's module-exit code.
Comment 5 Martin Hunt 2006-02-25 05:18:52 EST
(In reply to comment #4)
> I can reproduce what may be the same problem, even on x86, 33.EL kernel (up +
> smp), 0.5.4 beehive RPM systemtap.  Procedure:
> 
> % stap -vv -e 'probe begin {}' &

I have checked in a fix for this problem.  We need to verify if it fixes the
original problem.
Comment 6 William Cohen 2006-02-27 11:44:06 EST
I tried it out on the x86_64 machine that the problem occured on.

The changes checked into systemtap cvs resolve the problem with current.stp
causing a kernel panic when the module is remove.

Doing the steps with the 'probe begin {}' with the 0.5.4-0.EL4 crashes the kernel
Doing the same steps with the fixed nightly snapshot (20060227) works fine.


Note You need to log in before you can comment on or make changes to this bug.